Subject: bug#27295: 11.90.2; font lock for \autocites

From: Arash Esbati <[email-masked]>
Date: Fri, 09 Jun 2017 22:25:43 +0200

Alex Branham <[email-masked]> writes:

> Auctex does not seem to properly font lock \autocites with multiple
> citations.
>
> \autocites[][]{key1, key2} works fine but \autocites[][]{key1,
> key2}[but see][]{key3} results in neither "but see" nor "key3" getting
> the appropriate faces (which should be font-lock-variable-name-face
> and font-lock-constant-face, I believe).

Hi Alex,

I would say this is by design: \[Aa]utocites take multiple number of
[prenote][postnote]{key} and AUCTeX cannot look ahead to detect the
number of arguments which should be fontified.  Not satisfactory, but
not fixed easily, I think.

Best, Arash